CREATE TABLE [news] (
    [id_story] Int Identity(1,1) NOT NULL,
    [guid] nvarchar(300) NOT NULL,
    [title] text NOT NULL,
    [publisher] nvarchar(255) NOT NULL,
    [link] text NOT NULL,
    [category] nvarchar(255) NOT NULL,
    [pubdate] DATETIME2 NOT NULL,
    [picture] text NULL,
    [content] text NOT NULL,
    [rating] Int NOT NULL DEFAULT 1,
    [id_language] Int NULL
);

ALTER TABLE [news] ADD CONSTRAINT [news_guid_unique] UNIQUE ([guid]);
ALTER TABLE [news] ADD CONSTRAINT [news_url_pk] PRIMARY KEY ([id_story]);

CREATE TABLE [saved_article] (
    news_id_story Int NOT NULL,
    user_id Int NOT NULL,
);

ALTER TABLE [saved_article] ADD CONSTRAINT [saved_new_pk] PRIMARY KEY ([news_id_story],[user_id]);
ALTER TABLE [saved_article] ADD CONSTRAINT [news story] FOREIGN KEY ([news_id_story]) REFERENCES [news] ([id_story]) ON UPDATE CASCADE ON DELETE CASCADE;
ALTER TABLE [saved_article] ADD CONSTRAINT [users news id] FOREIGN KEY ([user_id]) REFERENCES [users] ([id]) ON UPDATE CASCADE ON DELETE CASCADE;

CREATE TABLE [languages] (
    [id_language] Int Identity(1,1) NOT NULL,
    [language] nvarchar(10) NOT NULL
);

ALTER TABLE [languages] ADD CONSTRAINT [languages_language_unique] UNIQUE ([language]);
ALTER TABLE [languages] ADD CONSTRAINT [languages_pk] PRIMARY KEY ([id_language]);

ALTER TABLE [news] ADD CONSTRAINT [stories_languages] FOREIGN KEY ([id_language]) REFERENCES [languages] ([id_language]) ON DELETE CASCADE ON UPDATE CASCADE;