CREATE TABLE `news` (
    `id_story` INT(10) UNSIGNED NOT NULL AUTO_INCREMENT,
    `guid`  VARCHAR(300) NOT NULL,
    `title` TEXT NOT NULL,
    `publisher` VARCHAR(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
    `link` TEXT NOT NULL,
    `category` VARCHAR(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
    `pubdate` TIMESTAMP NOT NULL,
    `picture` TEXT,
    `content` TEXT NOT NULL,
    `rating` INT(10) NOT NULL DEFAULT 1,
    `id_language` INT(10) UNSIGNED NOT NULL,
    PRIMARY KEY(`id_story`)
) ENGINE = InnoDB
  DEFAULT CHARACTER SET utf8
  COLLATE utf8_general_ci
  ROW_FORMAT = Compact
;

CREATE TABLE saved_article
(
  news_id_story Int(10) UNSIGNED NOT NULL,
  user_id Int(10) UNSIGNED NOT NULL,
  PRIMARY KEY ( news_id_story, user_id )
) ENGINE = InnoDB
  DEFAULT CHARACTER SET utf8
  COLLATE utf8_general_ci
  ROW_FORMAT = Compact
;

ALTER TABLE `saved_article` ADD CONSTRAINT `news story` FOREIGN KEY (news_id_story) REFERENCES news (id_story) ON DELETE CASCADE ON UPDATE CASCADE;
ALTER TABLE `saved_article` ADD CONSTRAINT `users news id` FOREIGN KEY (user_id) REFERENCES users (id) ON DELETE CASCADE ON UPDATE CASCADE;

CREATE TABLE `languages` (
    `id_language` INT(10) UNSIGNED NOT NULL AUTO_INCREMENT,
    `language` VARCHAR(10) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL UNIQUE,
    PRIMARY KEY(`id_language`)
) ENGINE = InnoDB
  DEFAULT CHARACTER SET utf8
  COLLATE utf8_general_ci
  ROW_FORMAT = Compact
;

ALTER TABLE `news` ADD CONSTRAINT `stories_languages` FOREIGN KEY (`id_language`) REFERENCES `languages` (`id_language`) ON DELETE CASCADE ON UPDATE CASCADE;